Skip to main content

Set Device Data

POST 

/api/v2/device/:deviceId/deviceData

Stores deviceData on the device. Body follows the agent-zone data structure.

Request

Path Parameters

    deviceId stringrequired

Body

required

    snapshotDate date-time

    Timestamp of the last metadata snapshot

    deviceId string

    Device identifier

    deviceType string[]

    Device type tokens

    platformId string

    Platform identifier

    platform string

    Platform name

    urlGetAppServerAvailable string[]

    Available GetApp server URLs

    deliverySource string

    Delivery source mode

    orchestrateMe boolean

    When true, requests that a master agent orchestrate this device

    reactiveMode boolean

    When true, the device subscribes to the master SSE command channel

    orchestratedBy string

    Master device-id that is currently orchestrating this device

    orchestratorId string

    Orchestrator identifier

    metadata

    object

    Device metadata. Known fields are listed above. Any additional key-value pairs reported by the agent are flattened into this object (mirrors the Rust serde flatten pattern).

    macAddress string

    MAC address

    ipAddress string

    IP address

    name string

    Device name

    location

    object

    lat stringrequired
    long stringrequired
    alt string
    os string

    Operating system

    osRelease string

    OS release version

    storageAvailable number

    Available storage in bytes

    battery

    object

    level uint16required

    Battery level as a percentage (0–100)

    isPluggedIn boolean
    health uint16

    Battery health as a percentage (0–100)

    timeRemainingMinutes uint32

    Estimated time remaining in minutes

    state stringrequired

    Battery state: Charging | Discharging | Full | Empty | Unknown

    isVirtual boolean

    Whether this is a virtual/emulated battery

    urlGetAppServerActive string

    Currently active GetApp server URL

    property name* any

    Device metadata. Known fields are listed above. Any additional key-value pairs reported by the agent are flattened into this object (mirrors the Rust serde flatten pattern).

Responses

Schema

    orchestrated_by string

    Orchestrated by identifier

    orchestratorId string

    Orchestrator identifier

Loading...